body {
    background-color: aliceblue;
}

/* Add or modify these styles in your custom.css */
.centered-navbar .container-fluid {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.card {
    box-sizing: border-box;
    width: auto;
    max-width: auto;
    height: auto;
    background: rgba(217, 217, 217, 0.58);
    border: 1px solid white;
    box-shadow: 12px 17px 51px rgba(0, 0, 0, 0.22);
    backdrop-filter: blur(6px);
    border-radius: 17px;
    text-align: center;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    user-select: none;
    font-weight: bolder;
    color: black;
    backface-visibility: hidden;
    transform-style: preserve-3d;
    transition: all 0.5s, border-radius 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    visibility: hidden;
    /* Initially hide the card */
}

.card a {
    text-decoration: none;
    color: black;
}

.card img {
    margin-bottom: 10px;
}

.card:hover {
    border: 1px solid black;
    transform: scale(1.05);
}

.card:active {
    transform: scale(0.95) rotateZ(1.7deg);
}

.card-container {
    perspective: 1000px;
}

@keyframes flipCard {
    0% {
        transform: rotateY(90deg);
        visibility: visible;
        /* Make the card visible as it starts flipping */
    }

    100% {
        transform: rotateY(0deg);
        visibility: visible;
    }
}

.card.flip-animation {
    transform-style: preserve-3d;
    animation: flipCard 0.5s forwards;
}

.card-link {
    text-decoration: none;
    /* remove any underlines */
    color: inherit;
    /* use the inherited color, not the default blue */
    display: block;
    /* make sure it takes up full space */
}

.about a {
    text-decoration: none;
    color: black;
    /* Change this to any color you prefer */
}

.sidebar {
    position: fixed;
    top: 0;
    left: -250px;
    /* Make sure this is set */
    width: 250px;
    height: 100%;
    background-color: #6dbdff;
    padding: 20px;
    transition: left 0.3s;
    /* Adjust this if needed */
    z-index: 1000;
}

.sidebar-btn {
    width: calc(100%);
    /* Subtracting the left and right margins */
    margin: 5px 3px;
    /* 10px margin from top and bottom, 20px from left and right */
    text-align: center;
    /* Text in center */
    border-radius: 3px;
    /* Rounded corners */
}

.sidebar-image {
    width: 100%;
    height: auto;
    /* You can set a specific height if needed */
    display: block;
    margin: 0 auto;
    /* This will center the image if its width is less than the sidebar's width */
}

.sidebar-divider {
    border: none;
    border-top: 1px solid #ddd;
    /* Change #ddd to a color that suits your design */
    margin: 10px 0;
    /* You can adjust this margin if needed */
}

.sidebar-text {
    text-align: center;
    font-size: 1.5rem;
    /* Adjust size as needed */
    margin-bottom: 20px;
    /* Adjust margin as needed */
}

.customsidebar {
    position: fixed;
    top: 1rem;
    right: 1rem;
    z-index: 1100;
    --primary: 255, 90, 120;
    --secondary: 150, 50, 60;
    width: 60px;
    height: 50px;
    border: none;
    outline: none;
    cursor: pointer;
    user-select: none;
    touch-action: manipulation;
    outline: 10px solid rgb(var(--primary), .5);
    border-radius: 100%;
    transition: .3s;
}


.customsidebar .back {
    background: rgb(var(--secondary));
    border-radius: 100%;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.customsidebar .front {
    background: linear-gradient(0deg, rgba(var(--primary), .6) 20%, rgba(var(--primary)) 50%);
    box-shadow: 0 .5em 1em -0.2em rgba(var(--secondary), .5);
    border-radius: 100%;
    position: absolute;
    border: 1px solid rgb(var(--secondary));
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    font-weight: 600;
    font-family: inherit;
    transform: translateY(-15%);
    transition: .15s;
    color: rgb(var(--secondary));
}

.customsidebar:active .front {
    transform: translateY(0%);
    box-shadow: 0 0;
}

.customsidebar .front .line {
    background-color: rgb(var(--secondary));
    height: 4px;
    width: 70%;
    margin: 3px 0;
    border-radius: 3px;
}